using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace RadGridView_WPF_AR_2
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			this.clubsGrid.Items.EditItem(this.updatedClub);
			this.updatedClub.Name = this.originalEditedClub.Name;
			this.updatedClub.Established = this.originalEditedClub.Established;
			this.updatedClub.StadiumCapacity = this.originalEditedClub.StadiumCapacity;
			this.clubsGrid.Items.CommitEdit();
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{

		}


		private Club updatedClub;
		private Club originalEditedClub = new Club();

		private void clubsGrid_RowEditEnded(object sender, GridViewRowEditEndedEventArgs e)
		{
			this.updatedClub = e.Row.Item as Club;

			this.originalEditedClub.Name = e.OldValues["Name"].ToString();
			this.originalEditedClub.Established = (DateTime) e.OldValues["Established"];
			this.originalEditedClub.StadiumCapacity = (int)e.OldValues["StadiumCapacity"];
		}		
	}
}
